/**
 * Used to add named metadata which is used to resolve name-based contextual bindings.
 *
 * @export
 * @param {(string | number | symbol)} name
 * @return {*}
 */
export declare function named(name: string | number | symbol): <T>(target: import("./decorator_utils").DecoratorTarget<unknown>, targetKey?: string | symbol | undefined, indexOrPropertyDescriptor?: number | TypedPropertyDescriptor<T> | undefined) => void;
