/**
 * Used for named bindings
 */
export declare const NAMED_TAG = "named";
/**
 * The name of the target at design time
 */
export declare const NAME_TAG = "name";
/**
 * The for unmanaged injections (in base classes when using inheritance)
 */
export declare const UNMANAGED_TAG = "unmanaged";
/**
 * The for optional injections
 */
export declare const OPTIONAL_TAG = "optional";
/**
 * The type of the binding at design time
 */
export declare const INJECT_TAG = "inject";
/**
 * The type of the binding at design type for multi-injections
 */
export declare const MULTI_INJECT_TAG = "multi_inject";
/**
 * used to store constructor arguments tags
 */
export declare const TAGGED = "inversify:tagged";
/**
 * used to store class properties tags
 */
export declare const TAGGED_PROP = "inversify:tagged_props";
/**
 * used to store types to be injected
 */
export declare const PARAM_TYPES = "inversify:paramtypes";
export declare const DESIGN_PARAM_TYPES = "design:paramtypes";
export declare const POST_CONSTRUCT = "post_construct";
export declare const PRE_DESTROY = "pre_destroy";
export declare const NON_CUSTOM_TAG_KEYS: string[];
