import { Lookup, Binding, TargetType, ServiceIdentifier, MetadataReaderInterface, ContainerInterface } from '../interfaces/interfaces';
import { Context } from './context';
import { Request } from './request';
export declare function getBindingDictionary(container: ContainerInterface): Lookup<Binding<unknown>>;
export declare function plan(metadataReader: MetadataReaderInterface, container: ContainerInterface, isMultiInject: boolean, targetType: TargetType, serviceIdentifier: ServiceIdentifier<any>, key?: string | number | symbol, value?: unknown, avoidConstraints?: boolean): Context;
export declare function createMockRequest(container: ContainerInterface, serviceIdentifier: ServiceIdentifier<any>, key: string | number | symbol, value: any): Request;
