import { Request as IRequest, ServiceIdentifier, Context, Binding, Target, RequestScope } from '../interfaces/interfaces';
export declare class Request implements IRequest {
    id: number;
    serviceIdentifier: ServiceIdentifier;
    parentContext: Context;
    parentRequest: IRequest | null;
    bindings: Binding<unknown>[];
    childRequests: IRequest[];
    target: Target;
    requestScope: RequestScope | null;
    constructor(serviceIdentifier: ServiceIdentifier, parentContext: Context, parentRequest: IRequest | null, bindings: Binding<any> | Binding<any>[], target: Target);
    addChildRequest(serviceIdentifier: ServiceIdentifier<any>, bindings: Binding<any> | Binding<any>[], target: Target): IRequest;
}
