import { BindingOnSyntax as IBindingOnSyntax, Binding, Context, BindingWhenSyntax as IBindingWhenSyntax, BindingDeactivation } from '../interfaces/interfaces';
export declare class BindingOnSyntax<T> implements IBindingOnSyntax<T> {
    private _binding;
    constructor(binding: Binding<T>);
    onActivation(handler: (context: Context, injectable: T) => T): IBindingWhenSyntax<T>;
    onDeactivation(handler: BindingDeactivation<T>): IBindingWhenSyntax<T>;
}
