import { Binding, ContainerInterface, Request, ServiceIdentifier, Target } from '../interfaces/interfaces';
export declare function getServiceIdentifierAsString<T = any>(serviceIdentifier: ServiceIdentifier<T>): string;
export declare function listRegisteredBindingsForServiceIdentifier(container: ContainerInterface, serviceIdentifier: string, getBindings: <T>(container: ContainerInterface, serviceIdentifier: ServiceIdentifier<T>) => Binding<T>[]): string;
export declare function circularDependencyToException(request: Request): void;
export declare function listMetadataForTarget(serviceIdentifierString: string, target: Target): string;
export declare function getFunctionName(v: any): string;
export declare function getSymbolDescription(symbol: Symbol): string;
