import { ContainerSnapshot as ContainerSnapshotInterface, Binding, Next, Lookup, BindingDeactivation, ModuleActivationStoreInterface, BindingActivation } from '../interfaces/interfaces';
export declare class ContainerSnapshot implements ContainerSnapshotInterface {
    bindings: Lookup<Binding<any>>;
    activations: Lookup<BindingActivation<unknown>>;
    deactivations: Lookup<BindingDeactivation<unknown>>;
    middleware: Next | null;
    moduleActivationStore: ModuleActivationStoreInterface;
    static of(bindings: Lookup<Binding<any>>, middleware: Next | null, activations: Lookup<BindingActivation<unknown>>, deactivations: Lookup<BindingDeactivation<unknown>>, moduleActivationStore: ModuleActivationStoreInterface): ContainerSnapshot;
}
