import { BindingActivation, BindingDeactivation, ModuleActivationHandlers, ModuleActivationStoreInterface, ServiceIdentifier } from '../interfaces';
export declare class ModuleActivationStore implements ModuleActivationStoreInterface {
    private _map;
    remove(moduleId: number): ModuleActivationHandlers;
    addDeactivation(moduleId: number, serviceIdentifier: ServiceIdentifier<unknown>, onDeactivation: BindingDeactivation<unknown>): void;
    addActivation(moduleId: number, serviceIdentifier: ServiceIdentifier<unknown>, onActivation: BindingActivation<unknown>): void;
    clone(): ModuleActivationStore;
    private _getModuleActivationHandlers;
    private _getEmptyHandlersStore;
}
